Package com.sas.lsaf.clinical.study

## Enum StudyComponent

- java.lang.Object
- - java.lang.Enum<StudyComponent>
  - - com.sas.lsaf.clinical.study.StudyComponent

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<StudyComponent>`

      public enum StudyComponent
      extends java.lang.Enum<StudyComponent>

  The values of the study components that can be set as editable.
  Since:
    2.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DICTIONARIES` | The dictionaries (controlled terminologies) component of a study.
    `SUPPORTING_DOCUMENTS` | The supporting documents component of a study.
    `TABLES_ANALYSIS` | The analysis tables component of a study.
    `TABLES_TABULATION` | The tabulation tables component of a study.
    `TLFS` | The Tables, Listings and Figures component of a study.
    `VALUE_LEVEL_METADATA` | The value level metadata component of a study.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StudyComponent` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static StudyComponent[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TABLES_ANALYSIS

          public static final StudyComponent TABLES_ANALYSIS

      The analysis tables component of a study.

    - #### TABLES_TABULATION

          public static final StudyComponent TABLES_TABULATION

      The tabulation tables component of a study.

    - #### DICTIONARIES

          public static final StudyComponent DICTIONARIES

      The dictionaries (controlled terminologies) component of a study.

    - #### SUPPORTING_DOCUMENTS

          public static final StudyComponent SUPPORTING_DOCUMENTS

      The supporting documents component of a study.

    - #### VALUE_LEVEL_METADATA

          public static final StudyComponent VALUE_LEVEL_METADATA

      The value level metadata component of a study.

    - #### TLFS

          public static final StudyComponent TLFS

      The Tables, Listings and Figures component of a study. This also represents Analysis Results Metadata.

  - ### Method Detail

    - #### values

          public static StudyComponent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StudyComponent c : StudyComponent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StudyComponent valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null